Debian Bug report logs - #626489
RFP: airoscript-ng -- User interface for aircrack-ng

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "David Francos Cuartero \(XayOn\)" <xayon@xayon.net>

Date: Thu, 12 May 2011 11:18:10 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org, "David Francos Cuartero (XayOn)" <xayon@xayon.net>:
Bug#626489; Package wnpp. (Thu, 12 May 2011 11:18:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to "David Francos Cuartero \(XayOn\)" <xayon@xayon.net>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org, "David Francos Cuartero (XayOn)" <xayon@xayon.net>. (Thu, 12 May 2011 11:18:17 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "David Francos Cuartero \(XayOn\)" <xayon@xayon.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: airoscript-ng -- User interface for aircrack-ng
Date: Thu, 12 May 2011 13:09:11 +0200
Package: wnpp
Severity: wishlist
Owner: "David Francos Cuartero (XayOn)" <xayon@xayon.net>

* Package name    : airoscript-ng
  Version         : 1.2.0
  Upstream Author : David Francos Cuartero (XayOn) <xayon@xayon.net)
* URL             : http://airoscript.aircrack-ng.org
* License         : GPL
  Programming Lang: Bash
  Description     : User interface for aircrack-ng

Airoscript-ng is a easy to use nice user interface for aircrack-ng
featuring almost all utilities contained in the suite.
It has plugin support, including some plugins like zenity-based
graphical interface, mdk3 support and sslstrip attacks.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "David Francos Cuartero (XayOn)" <xayon@xayon.net>:
Bug#626489; Package wnpp. (Thu, 12 May 2011 17:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "David Francos Cuartero (XayOn)" <xayon@xayon.net>. (Thu, 12 May 2011 17:12:03 GMT) Full text and rfc822 format available.

Message #10 received at 626489@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 626489@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#626489: ITP: airoscript-ng -- User interface for aircrack-ng
Date: Thu, 12 May 2011 18:10:07 +0200
* David Francos Cuartero (XayOn) <xayon@xayon.net>, 2011-05-12, 13:09:
>* Package name    : airoscript-ng
>  Version         : 1.2.0
>  Upstream Author : David Francos Cuartero (XayOn) <xayon@xayon.net)
>* URL             : http://airoscript.aircrack-ng.org
>* License         : GPL
>  Programming Lang: Bash
>  Description     : User interface for aircrack-ng

Are you aware that aircrack-ng is RC-buggy[0], not in testing, and (for 
the moment) undistributable?

Until this is fixed, there is little point in packaging an UI for it.

[0] http://bugs.debian.org/588588

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "David Francos Cuartero (XayOn)" <xayon@xayon.net>:
Bug#626489; Package wnpp. (Thu, 12 May 2011 19:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Francos Cuartero <me@davidfrancos.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "David Francos Cuartero (XayOn)" <xayon@xayon.net>. (Thu, 12 May 2011 19:48:03 GMT) Full text and rfc822 format available.

Message #15 received at 626489@bugs.debian.org (full text, mbox):

From: David Francos Cuartero <me@davidfrancos.net>
To: Jakub Wilk <jwilk@debian.org>, 626489@bugs.debian.org
Subject: Re: Bug#626489: ITP: airoscript-ng -- User interface for aircrack-ng
Date: Thu, 12 May 2011 21:38:30 +0200
On Thu, May 12, 2011 at 06:10:07PM +0200, Jakub Wilk wrote:
> * David Francos Cuartero (XayOn) <xayon@xayon.net>, 2011-05-12, 13:09:
> >* Package name    : airoscript-ng
> > Version         : 1.2.0
> > Upstream Author : David Francos Cuartero (XayOn) <xayon@xayon.net)
> >* URL             : http://airoscript.aircrack-ng.org
> >* License         : GPL
> > Programming Lang: Bash
> > Description     : User interface for aircrack-ng
> 
> Are you aware that aircrack-ng is RC-buggy[0], not in testing, and
> (for the moment) undistributable?
My god, I saw that bug lots of time ago, but since I saw aircrack-ng 
in sid and the ticket said it was GPL2+ Confirmed... even tough I
can't see any more movement nor the ticket being closed since april.

> Until this is fixed, there is little point in packaging an UI for it.
I agree. But as said, if aircrack-ng is being redistributed in
sid, what's happening there? [1]

> [0] http://bugs.debian.org/588588
[1] http://packages.debian.org/sid/aircrack-ng

Thanks for the quick answer.

> -- 
> Jakub Wilk
> 




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "David Francos Cuartero (XayOn)" <xayon@xayon.net>:
Bug#626489; Package wnpp. (Thu, 12 May 2011 23:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Francos Cuartero <me@davidfrancos.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "David Francos Cuartero (XayOn)" <xayon@xayon.net>. (Thu, 12 May 2011 23:15:05 GMT) Full text and rfc822 format available.

Message #20 received at 626489@bugs.debian.org (full text, mbox):

From: David Francos Cuartero <me@davidfrancos.net>
To: Jakub Wilk <jwilk@debian.org>, 626489@bugs.debian.org
Subject: Re: Bug#626489: ITP: airoscript-ng -- User interface for aircrack-ng
Date: Fri, 13 May 2011 01:12:19 +0200
On Thu, May 12, 2011 at 09:38:30PM +0200, David Francos Cuartero wrote:
> On Thu, May 12, 2011 at 06:10:07PM +0200, Jakub Wilk wrote:
> > * David Francos Cuartero (XayOn) <xayon@xayon.net>, 2011-05-12, 13:09:
> > >* Package name    : airoscript-ng
> > > Version         : 1.2.0
> > > Upstream Author : David Francos Cuartero (XayOn) <xayon@xayon.net)
> > >* URL             : http://airoscript.aircrack-ng.org
> > >* License         : GPL
> > > Programming Lang: Bash
> > > Description     : User interface for aircrack-ng
> > 
> > Are you aware that aircrack-ng is RC-buggy[0], not in testing, and
> > (for the moment) undistributable?
> My god, I saw that bug lots of time ago, but since I saw aircrack-ng 
> in sid and the ticket said it was GPL2+ Confirmed... even tough I
> can't see any more movement nor the ticket being closed since april.
Ok, It's started to move again.
Seems like you were right, it's not fully clear because noone 
told the conflicting code's author about the openssl license part.
And one of the authors is still unconfirmed.

> > Until this is fixed, there is little point in packaging an UI for it.
> I agree. But as said, if aircrack-ng is being redistributed in
> sid, what's happening there? [1]
Anyway, I'll keep this bug open until the other one is fixed (wich I
assume will be soon enough)
Thanks for your time.

> > [0] http://bugs.debian.org/588588
> [1] http://packages.debian.org/sid/aircrack-ng
> 
> > -- 
> > Jakub Wilk
> > 
> 




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "David Francos Cuartero (XayOn)" <xayon@xayon.net>:
Bug#626489; Package wnpp. (Thu, 12 May 2011 23:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Kastner <debian@kvr.at>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "David Francos Cuartero (XayOn)" <xayon@xayon.net>. (Thu, 12 May 2011 23:24:03 GMT) Full text and rfc822 format available.

Message #25 received at 626489@bugs.debian.org (full text, mbox):

From: Christian Kastner <debian@kvr.at>
To: David Francos Cuartero <me@davidfrancos.net>, 626489@bugs.debian.org
Subject: Re: Bug#626489: ITP: airoscript-ng -- User interface for aircrack-ng
Date: Fri, 13 May 2011 01:20:47 +0200
[Message part 1 (text/plain, inline)]
On 05/12/2011 09:38 PM, David Francos Cuartero wrote:
> On Thu, May 12, 2011 at 06:10:07PM +0200, Jakub Wilk wrote:
>> Are you aware that aircrack-ng is RC-buggy[0], not in testing, and
>> (for the moment) undistributable?
> My god, I saw that bug lots of time ago, but since I saw aircrack-ng 
> in sid and the ticket said it was GPL2+ Confirmed... even tough I
> can't see any more movement nor the ticket being closed since april.

There was some action on #588588 again today. Let's hope it leads to a
resolution.

Since your QA page indicates that you are just getting started with
Debian development (great!) and you appear to have some closer contacts
with aircrack-ng, have you thought about asking to co-maintain the
aircrack-ng package? There are already two maintainers, but they don't
appear to be very active, at least on aircrack-ng. One of them is a DD,
so he might be available as a sponsor.

>> Until this is fixed, there is little point in packaging an UI for it.
> I agree. But as said, if aircrack-ng is being redistributed in
> sid, what's happening there? [1]
> [1] http://packages.debian.org/sid/aircrack-ng

The package was removed only from testing (not sid) as to allow the
Squeeze release to progress -- #588588 was RC and blocking it.

Christian

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "David Francos Cuartero (XayOn)" <xayon@xayon.net>:
Bug#626489; Package wnpp. (Thu, 12 May 2011 23:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Francos Cuartero <me@davidfrancos.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "David Francos Cuartero (XayOn)" <xayon@xayon.net>. (Thu, 12 May 2011 23:39:05 GMT) Full text and rfc822 format available.

Message #30 received at 626489@bugs.debian.org (full text, mbox):

From: David Francos Cuartero <me@davidfrancos.net>
To: Christian Kastner <debian@kvr.at>
Cc: 626489@bugs.debian.org
Subject: Re: Bug#626489: ITP: airoscript-ng -- User interface for aircrack-ng
Date: Fri, 13 May 2011 01:36:32 +0200
On Fri, May 13, 2011 at 01:20:47AM +0200, Christian Kastner wrote:
> On 05/12/2011 09:38 PM, David Francos Cuartero wrote:
> > On Thu, May 12, 2011 at 06:10:07PM +0200, Jakub Wilk wrote:
> >> Are you aware that aircrack-ng is RC-buggy[0], not in testing, and
> >> (for the moment) undistributable?
> > My god, I saw that bug lots of time ago, but since I saw aircrack-ng 
> > in sid and the ticket said it was GPL2+ Confirmed... even tough I
> > can't see any more movement nor the ticket being closed since april.
> 
> There was some action on #588588 again today. Let's hope it leads to a
> resolution.
+1

> Since your QA page indicates that you are just getting started with
> Debian development (great!) and you appear to have some closer contacts
> with aircrack-ng, have you thought about asking to co-maintain the
> aircrack-ng package? There are already two maintainers, but they don't
> appear to be very active, at least on aircrack-ng. One of them is a DD,
> so he might be available as a sponsor.
I'll ask them if they need any help =)
I've got a little history about that...

I wanted to package stuff for debian, so I choose airoscript, it's
already been... two years maybe.

When I sent the ITP, It was rejected due to airoscript's poor
development (it was without devel for months), so I talked to
upstream and adopted the development, that, and many other 
projects got all of my time, and I couldn't get into debian packaging

Right now I'm willing to revive that intentions, starting from where
I left.

While this is still unresolved, I'm going to check if there's some
needs-adoption package that I might be interested in packaging =)

> >> Until this is fixed, there is little point in packaging an UI for it.
> > I agree. But as said, if aircrack-ng is being redistributed in
> > sid, what's happening there? [1]
> > [1] http://packages.debian.org/sid/aircrack-ng
> 
> The package was removed only from testing (not sid) as to allow the
> Squeeze release to progress -- #588588 was RC and blocking it.
I see. Then It makes sense to not get airoscript into debian until
aircrack-ng does it. It's an unresolvable dependence after all. 
I already have a package done for it, ready for when aircrack-ng
solves its license problems.
> Christian






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "David Francos Cuartero (XayOn)" <xayon@xayon.net>:
Bug#626489; Package wnpp. (Thu, 21 Jul 2011 01:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Francos <me@davidfrancos.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "David Francos Cuartero (XayOn)" <xayon@xayon.net>. (Thu, 21 Jul 2011 01:39:03 GMT) Full text and rfc822 format available.

Message #35 received at 626489@bugs.debian.org (full text, mbox):

From: David Francos <me@davidfrancos.net>
To: 626489@bugs.debian.org
Subject: Looks like its moving
Date: Thu, 21 Jul 2011 03:34:44 +0200
Finally, seems like aircrack-ng has been fixed upstream.
Adam Cecile said [1] that he was packaging it (a month ago), so I
guess we won't have to wait for much longer.
Luckly, I've just corrected some critical bugs.




Added blocking bug(s) of 626489: 642934 Request was from intrigeri <intrigeri+debian@boum.org> to control@bugs.debian.org. (Tue, 22 Nov 2011 15:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "David Francos Cuartero (XayOn)" <xayon@xayon.net>:
Bug#626489; Package wnpp. (Mon, 27 May 2013 13:37:45 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "David Francos Cuartero (XayOn)" <xayon@xayon.net>. (Mon, 27 May 2013 13:37:45 GMT) Full text and rfc822 format available.

Message #42 received at 626489@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 626489@bugs.debian.org
Cc: control@bugs.debian.org
Subject: airoscript-ng: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:12 +0200
retitle 626489 RFP: airoscript-ng -- User interface for aircrack-ng
noowner 626489
tag 626489 - pending
thanks

Hi,

This is an automatic email to change the status of airoscript-ng back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting airoscript-ng, please send a mail to
<control@bugs.debian.org> with:

 retitle 626489 ITP: airoscript-ng -- User interface for aircrack-ng
 owner 626489 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <626489@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: airoscript-ng -- User interface for aircrack-ng' from 'ITP: airoscript-ng -- User interface for aircrack-ng' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:04:47 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by "David Francos Cuartero (XayOn)" <xayon@xayon.net>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:04:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:36:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.